Bug 461025 - Circular dep between oddjob and oddjob-libs
Circular dep between oddjob and oddjob-libs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oddjob (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 10:55 EDT by Steve Whitehouse
Modified: 2009-12-18 01:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-09-03 10:55:50 EDT
Description of problem:

[root@men-an-tol steve]# rpm -U ./oddjob-0.29.1-1.fc10.x86_64.rpm 
error: Failed dependencies:
        liboddjob.so.0()(64bit) is needed by oddjob-0.29.1-1.fc10.x86_64


[root@men-an-tol steve]# rpm -U ./oddjob-libs-0.29.1-1.fc10.x86_64.rpm 
error: Failed dependencies:
        oddjob = 0.29.1-1.fc10 is needed by oddjob-libs-0.29.1-1.fc10.x86_64


Work around is to install both packages at the same time. I suspect that the libs package should not depend upon oddjob itself.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. As above.
Comment 1 Nalin Dahyabhai 2008-09-04 17:25:09 EDT
The reverse dependency keeps the daemon from being uninstalled during an upgrade from versions of the package in which the libraries hadn't yet been split out into their own subpackage.  I think that's a useful thing.

Marking wont-fix, but please reopen if I'm missing something.
Comment 2 Steve Whitehouse 2008-09-05 03:21:39 EDT
That doesn't make much sense to me... presumably the package was called oddjob before it was split out, so that the dep should pull in the libs since it would be upgrading the daemon? It doesn't make any sense for the libs to depend on the original package.

With the dep in both directions like it is at the moment, its impossible to only install the one package, so if thats really required then the packages should be merged into one, which solves the problem.
Comment 3 Bug Zapper 2008-11-25 21:57:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Arash Besharat 2009-04-11 06:40:15 EDT
Circular deps between oddjob and oddjob-libs are not really serious.
You can install RPMs ignoring dependencies .try rpm command with these keys:

rpm -Uvh <oddjob........> --nodeps
rpm -Uvh <oddjob-lib....> --nodeps
Comment 5 Bug Zapper 2009-11-18 03:21:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:21:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.